<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".activities.SettingsActivity">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/dimen_50dp"
        android:background="@color/appblue">


        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/imgback"
            android:layout_width="@dimen/dimen_50dp"
            android:layout_height="@dimen/dimen_50dp"
            android:padding="@dimen/dimen_10dp"
            android:layout_alignParentLeft="true"
            android:layout_centerVertical="true"
            android:layout_gravity="center_vertical"
            android:layout_marginLeft="@dimen/dimen_10dp"
            app:srcCompat="@drawable/ic_arrow"/>



        <TextView

            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_gravity="center_vertical"
            android:gravity="center"
            android:text="Settings"
            android:textStyle="bold"
            android:textSize="@dimen/dimen_18sp"
            android:textColor="@android:color/white"
            />



    </RelativeLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_margin="@dimen/dimen_10dp"
        android:orientation="vertical">


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/drawable_edtbg"
        android:layout_margin="@dimen/dimen_10dp"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/txtstate"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dimen_50dp"


android:padding="@dimen/dimen_10dp"
            android:layout_weight="0.2"
            android:textSize="@dimen/dimen_18sp"
            android:textStyle="bold"
            android:gravity="left|center"
            android:hint="Select state" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="0.8">
            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/imgDropdownstate"
                android:layout_width="@dimen/dimen_50dp"
                android:layout_height="@dimen/dimen_50dp"
                app:srcCompat="@drawable/ic_arrow_drop_down"
                android:padding="@dimen/dimen_10dp">


            </androidx.appcompat.widget.AppCompatImageView>


        </LinearLayout>

    </LinearLayout>



    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/drawable_edtbg"
        android:layout_margin="@dimen/dimen_10dp"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/txtDistrict"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dimen_50dp"


android:padding="@dimen/dimen_10dp"
            android:layout_weight="0.2"
            android:textSize="@dimen/dimen_18sp"
            android:textStyle="bold"
            android:gravity="left|center"
            android:hint="Select district" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="0.8">
            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/imgDropdowndist"
                android:layout_width="@dimen/dimen_50dp"
                android:layout_height="@dimen/dimen_50dp"
                app:srcCompat="@drawable/ic_arrow_drop_down"
                android:padding="@dimen/dimen_10dp">


            </androidx.appcompat.widget.AppCompatImageView>


        </LinearLayout>

    </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/drawable_edtbg"
            android:layout_margin="@dimen/dimen_10dp"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/txtpin"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dimen_50dp"


                android:padding="@dimen/dimen_10dp"
                android:layout_weight="0.2"
                android:textSize="@dimen/dimen_18sp"
                android:textStyle="bold"
                android:gravity="left|center"
                android:hint="Select pin code" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="0.8">
                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/imgDropdownpin"
                    android:layout_width="@dimen/dimen_50dp"
                    android:layout_height="@dimen/dimen_50dp"
                    app:srcCompat="@drawable/ic_arrow_drop_down"
                    android:padding="@dimen/dimen_10dp">


                </androidx.appcompat.widget.AppCompatImageView>


            </LinearLayout>

        </LinearLayout>


        <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/drawable_edtbg"
        android:layout_margin="@dimen/dimen_10dp"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/txtVillage"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dimen_50dp"



            android:layout_weight="0.2"
            android:textSize="@dimen/dimen_18sp"
            android:textStyle="bold"
            android:gravity="left|center"
            android:padding="@dimen/dimen_10dp"
            android:hint="Select village or Area" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="0.8">
            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/imgDropdownvillage"
                android:layout_width="@dimen/dimen_50dp"
                android:layout_height="@dimen/dimen_50dp"
                app:srcCompat="@drawable/ic_arrow_drop_down"
                android:padding="@dimen/dimen_10dp">


            </androidx.appcompat.widget.AppCompatImageView>


        </LinearLayout>

    </LinearLayout>





        <Button
            android:id="@+id/btnupdate"
            android:layout_width="@dimen/dimen_250dp"
            android:layout_height="@dimen/dimen_50dp"
            android:layout_margin="@dimen/dimen_15dp"
            android:background="@color/appblue"
            android:text="Update"
            android:layout_gravity="center"
            android:textAllCaps="false"
            android:textColor="@color/white"
            android:textSize="@dimen/dimen_18sp"
             />

    </LinearLayout>


</LinearLayout>